<?php
namespace admin\controls;
class SeoAdditional
{
  public static function element_delete()
  {
    global $user;
    
    if ( !\admin\factory\Users::check_privileges( 'seo_administration', $user['id'] ) )
      return \S::alert( 'Nie masz uprawnień' );
    
    if ( \admin\factory\SeoAdditional::element_delete( \S::get( 'id' ) ) )
      \S::alert( 'Element został usunięty.' );
    
    header( 'Location: /admin/seo_additional/main_view/' );
    exit;
  }
  
  public static function element_save()
  {
    global $user;
    
    if ( !\admin\factory\Users::check_privileges( 'seo_administration', $user['id']))
      return \S::alert( 'Nie masz uprawnień' );
    
    $response = [ 'status' => 'error', 'msg' => 'Podczas zapisywania elementu wystąpił błąd. Proszę spróbować ponownie.' ];
    $values   = \S::json_to_array( \S::get( 'values' ) );
    
    if ( $id = \admin\factory\SeoAdditional::element_save( $values['id'], $values['url'], $values['status'], $values['title'], $values['keywords'], $values['description'], $values['text'] ) )
      $response = [ 'status' => 'ok', 'msg' => 'Zmiany zostały zapisane.', 'id' => $id ];

    echo json_encode( $response );
    exit;
  }
  
  public static function element_edit()
  {
    global $user;
    
    if ( !\admin\factory\Users::check_privileges( 'seo_administration', $user['id']))
      return \S::alert( 'Nie masz uprawnień' );
    
    return \admin\view\SeoAdditional::element_edit( 
              \admin\factory\SeoAdditional::element_details(
                \S::get( 'id' )
                )
            );
  }
  
  public static function main_view()
  {
    global $user;
    
    if ( !\admin\factory\Users::check_privileges( 'seo_administration', $user['id'] ) )
      return \S::alert( 'Nie masz uprawnień' );

    return \admin\view\SeoAdditional::main_view();
  }
}
